Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0



Name:           jxta
Summary:        JXTA P2P protocols
Url:            http://www.jxta.org/
Version:        2.3.2
Release:        alt1_3jpp5
Epoch:          0
License:        Apache 1.1 -style License
Group:          Development/Java
Source0:        http://download.jxta.org/build/release/2.3.2/jxta-src-2.3.2.tar.gz
Source1:        jxta_license.txt
Source2:        %{name}-%{version}.pom
Patch0:         jxta-2.3.2-build_xml.patch
Patch1:         jxta-2.3.2-HttpMessageReceiver.patch

BuildRequires: jpackage-utils >= 0:1.7.5
BuildRequires: ant
BuildRequires: bouncycastle
BuildRequires: jaxen
BuildRequires: jdom
BuildRequires: jetty5
BuildRequires: junit
BuildRequires: log4j
BuildRequires: servlet_2_4_api
BuildRequires: swixml
BuildRequires: xerces-j2
BuildRequires: xml-commons-jaxp-1.3-apis
Requires: bouncycastle
Requires: jaxen
Requires: jdom
Requires: jetty5
Requires: log4j
Requires: servlet_2_4_api
Requires: swixml
Requires: xerces-j2
Requires: xml-commons-jaxp-1.3-apis

Requires(post): jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif

%description
JXTA(tm) technology is a set of open protocols that allow 
any connected device on the network ranging from cell 
phones and wireless PDAs to PCs and servers to communicate 
and collaborate in a P2P manner. 

JXTA peers create a virtual network where any peer can 
interact with other peers and resources directly even when 
some of the peers and resources are behind firewalls and 
NATs or are on different network transports.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
cp %{SOURCE1} jxta_license.txt
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

%patch0 -b .sav
%patch1 -b .sav

%build
pushd lib
ln -sf $(build-classpath servletapi5) javax.servlet.jar
ln -sf $(build-classpath jetty5/jetty5) org.mortbay.jetty.jar
ln -sf $(build-classpath log4j) log4j.jar
#ln -sf $(build-classpath bouncycastle/bcprov) bcprov-jdk14.jar
ln -sf $(build-classpath bcprov) bcprov-jdk14.jar
popd
pushd ext/lib
ln -sf $(build-classpath jaxen) jaxen-core.jar
ln -sf $(build-classpath jaxen) saxpath.jar
ln -sf $(build-classpath jaxen) jaxen-jdom.jar
ln -sf $(build-classpath jdom)
ln -sf $(build-classpath swixml)
ln -sf $(build-classpath xerces-j2)
ln -sf $(build-classpath xml-commons-apis)
popd
pushd tools
ln -sf $(build-classpath junit) junit.jar
popd
ant jar javadoc service jxtaSwing runtest

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/jxta.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/jxtaext.jar $RPM_BUILD_ROOT%{_javadir}/%{name}ext-%{version}.jar
install -m 644 dist/jxtaSwing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}Swing-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/jxtaextservice.war $RPM_BUILD_ROOT%{_datadir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/impl
cp -pr www/java/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/api
cp -pr www/java/impl/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/impl
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%files
%doc jxta_license.txt
%{_javadir}/*
%{_datadir}/%{name}
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}*%{version}.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Sun Feb 21 2010 Igor Vlasenko <viy@altlinux.ru> 0:2.3.2-alt1_3jpp5
- new jpackage release

* Wed Nov 28 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.3.2-alt1_2jpp1.7
- converted from JPackage by jppimport script

